Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations

MountVmInstanceRecoveryPoint

MountVmInstanceRecoveryPoint

POST/zstack/v1/cdp-backup-storage/mount-recovery-point

Operation ID

MountVmInstanceRecoveryPoint

Since

4.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • vmUuid
      StringRequired

      The UUID of the VM instance.

    • groupId
      longRequired

      The group ID of the recovery points.

    • https
      boolean

      Optional. Use https or not.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • resourcePath
    StringRequired

    The resource path where the recovery point was successfully mounted.

  • failedVolumes
    MapRequired

    The list of volumes that failed to mount recovery points.

  • success
    booleanRequired

    Succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.